CH_GET_MEMORY_ADDR(3)

EXPERIMENTAL_FUNC
ch_get_memory_addr - Get memory address.

SYNOPSIS
#include <karma_ch.h>

char * ch_get_memory_addr

(Channel channel)

DESCRIPTION
This routine will get the starting address of the data for a memory channel. The channel MUST be a memory mapped disc channel or a memory channel.

channel
    The channel object.

RETURN VALUE
The address of the memory.

Multi-threading Level
Unsafe.

NOTE
If the memory mapped address space is read-only, any attempt to write to this address space will cause a segmentation fault.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/